
import bpy, ossl.menu as menu

class OSSL_MT_Animation_import(menu.MenuFolder):
    bl_label = "OSSL Menu Animation Import"
    bl_idname = "OSSL_MT_Animation_import"

def OSSL_menu_Animation_import(self, context):
    self.layout.menu("OSSL_MT_Animation_import", text="import", icon="IMPORT")

import ossl.util as util
   
def register():
    print("registering: OSSL Type Animation import")
    bpy.utils.register_class(OSSL_MT_Animation_import)
    bpy.types.OSSL_MT_Animation.append(OSSL_menu_Animation_import)
    util.imports("ossl._types.Animation.import", "import_anim")
    print("registered: OSSL Type Animation Import")

def unregister():
    print("unregistering: OSSL Type Animation Import")
    util.release("ossl._types.Animation.import", "import_anim")
    bpy.types.OSSL_MT_Animation.remove(OSSL_menu_Animation_import)
    bpy.utils.unregister_class(OSSL_MT_Animation_import)
    print("unregistered: OSSL Type Animation Import")

if __name__ == "__main__":
    util.reset_addon()
